CREATE TABLE SENSOR_TYPE
( 
	SensorTypeId int  PRIMARY KEY  IDENTITY (1,1),
	SensorType varchar(50) NOT NULL UNIQUE
)
GO

CREATE TABLE SENSOR
( 
	SensorId int PRIMARY KEY  IDENTITY (1,1),
	SensorName varchar(50)  UNIQUE NOT NULL,
	SensorTypeId int NOT NULL FOREIGN KEY REFERENCES SENSOR_TYPE(SensorTypeId)
)
GO

CREATE TABLE SENSOR_DATA
( 
	SensorDataId int PRIMARY KEY  IDENTITY (1,1),
	SensorId int NOT NULL FOREIGN KEY REFERENCES SENSOR(SensorId),
	SensorValue float NOT NULL,
	SensorDateTime datetime NOT NULL
)
GO